<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.46
Name: [4] Brak odleżyn
Description: Szablon CDA dla informacji o braku odleżyn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000">
   <title>[4] Brak odleżyn</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]
Item: (plCdaNursingPressureUlcerNotPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]"
         id="tmp-r-a995cd32-6f48-4fe5-9641-66de34f454a5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']/@nullFlavor)">(plCdaNursingPressureUlcerNotPresentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46'])&lt;=1">(plCdaNursingPressureUlcerNotPresentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']
Item: (plCdaNursingPressureUlcerNotPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']"
         id="tmp-r-340292f5-1f68-491d-9d31-9a5f067e6c96">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="string(@classCode)='OBS'">(plCdaNursingPressureUlcerNotPresentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaNursingPressureUlcerNotPresentEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingPressureUlcerNotPresentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingPressureUlcerNotPresentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.46'] | self::hl7:id | self::hl7:code[@code='10029065' and @codeSystem='2.16.840.1.113883.6.97' and @codeSystemName='ICNP' and @displayName='No pressure ulcer'] | self::hl7:statusCode[@code='completed'])])">(plCdaNursingPressureUlcerNotPresentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Brak odleżyn" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.46'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.46']/@nullFlavor)">(plCdaNursingPressureUlcerNotPresentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.46'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.46'])&lt;=1">(plCdaNursingPressureUlcerNotPresentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.46'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="count(hl7:code[(@code='10029065' and @codeSystem='2.16.840.1.113883.6.97')])&gt;=1 and not(hl7:code[(@code='10029065' and @codeSystem='2.16.840.1.113883.6.97')]/@nullFlavor)">(plCdaNursingPressureUlcerNotPresentEntry): element hl7:code[(@code='10029065' and @codeSystem='2.16.840.1.113883.6.97')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="count(hl7:code[(@code='10029065' and @codeSystem='2.16.840.1.113883.6.97')])&lt;=1">(plCdaNursingPressureUlcerNotPresentEntry): element hl7:code[(@code='10029065' and @codeSystem='2.16.840.1.113883.6.97')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingPressureUlcerNotPresentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.46']
Item: (plCdaNursingPressureUlcerNotPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.46']"
         id="tmp-r-9a3e40b8-03f8-4ead-83b0-1608eddb0436">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerNotPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.46'">(plCdaNursingPressureUlcerNotPresentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.46'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']/hl7:id
Item: (plCdaNursingPressureUlcerNotPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']/hl7:id"
         id="tmp-r-47e24b43-b669-40ec-8c9a-0ea9dd7dbf9c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerNotPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']/hl7:code[(@code='10029065' and @codeSystem='2.16.840.1.113883.6.97')]
Item: (plCdaNursingPressureUlcerNotPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']/hl7:code[(@code='10029065' and @codeSystem='2.16.840.1.113883.6.97')]"
         id="tmp-r-fb10628f-a815-4f61-8d3b-7eaecb7040e4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerNotPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="@nullFlavor or (@code='10029065' and @codeSystem='2.16.840.1.113883.6.97' and @displayName='No pressure ulcer' and @codeSystemName='ICNP')">(plCdaNursingPressureUlcerNotPresentEntry): Wartość elementu MUSI wynosić code '10029065' codeSystem '2.16.840.1.113883.6.97' displayName='No pressure ulcer' codeSystemName='ICNP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']/hl7:statusCode
Item: (plCdaNursingPressureUlcerNotPresentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.46']/hl7:statusCode"
         id="tmp-r-7da24fc2-14a6-4f1a-9982-e93676cde0cc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerNotPresentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.46-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaNursingPressureUlcerNotPresentEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
</pattern>
